<template>
  <gpa-notification title=""
                    :notification-id="notification.id"
                    :created-at="notification.createdAt"
                    :archived-at="notification.archivedAt"
                    icon="system">
    <gp-markdown-renderer :content="notification.content.message" />
  </gpa-notification>
</template>

<script>
import GpMarkdownRenderer from '../../../../common/DataDisplay/MarkdownRenderer/MarkdownRenderer.vue'
import GpaNotification from './_Notification.vue'

import Notification from '../../../../classes/models/Notification'

export default {
  name: 'GpaSystemNotification',
  components: { GpMarkdownRenderer, GpaNotification },
  props: {
    notification: { required: true, type: [Notification, Object] },
  },
  computed: {
    title () {
      switch (this.notification.type) {
        case 'SystemNotification':
          return this.notification.content.title
        default: return '???'
      }
    },
  },
}
</script>
